#include <stdio.h>

#include "nomointerpreter.h"
#include "HelloWorld.h"

void commandLabelMHelloWorld(const float intensity, const float * data){
/*
    int i;
    printf("commandLabelMHelloWorld ->");
    printf("intensity = %f\n", intensity);
    for (i=0;i<COMMAND_LABEL_MHELLOWORLD_SIZE;i++)
        printf("data [%d] = %f\n", i, data[i]);
*/
    if (data[COMMAND_LABEL_MHELLOWORLD_VALUE] == 1)
        printf("Hello world !\n");
}

int main()
{
    nomoInitialize (nomoActions, "", 0);
    nomoTriggers();
    nomoFinalize(NOMO_ANY_MODIFICATION);
 //   getchar();
    return 0;
}
